Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Interface Function

All Known Implementing Classes:
  FunctionBase

public interface Function

Interface for managing XSL-FO Functions

Method Summary
`Property` | `eval(Property[] args, PropertyInfo propInfo)` Evaluate the function
`PercentBase` | `getPercentBase()`
`int` | `nbArgs()`
`boolean` | `padArgsWithPropertyName()`

Method Detail

### nbArgs

    public int nbArgs()

  Returns:
    the number of arguments that must be passed to this function. For example, if the function should determine the minimum of two numbers, it must be passed two arguments, one for each of the two values.

### getPercentBase

    public PercentBase getPercentBase()

  Returns:
    the basis for percentage calculations

### eval

    public Property eval(Property[] args,
                         PropertyInfo propInfo)
                  throws PropertyException

  Evaluate the function

  Parameters:
    `args` - an array of Properties that should be evaluated
    `propInfo` - the PropertyInfo
  Returns:
    the Property satisfying the function
  Throws:
    `PropertyException` - for problems when evaluating the function

### padArgsWithPropertyName

    public boolean padArgsWithPropertyName()

  Returns:
    if it is allowed to fill up the property list with the property name if only one arg is missing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.